> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://docs.deel.wtf/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.deel.wtf/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.deel.wtf/_mcp/server.

## Added

- **Time Tracking Timesheets** → Generate timesheet upload url: Endpoint is now available, which enables generating a pre-signed upload URL for timesheet files. This endpoint receives timesheet file metadata (contract_id, file_name, start_date, end_date) and returns a secure upload URL that can be used to upload the timesheet file to storage.
- **Time Tracking Timesheets** → Retrieve a timesheet:  Endpoint is now available, which enables retrieving a timesheet by its ID, including its submission, review, and processing status. When the `extend=file_data` query parameter is provided, the response also includes file-related details such as the file name and download URL.
- **Time Tracking Timesheets** → Review a submitted timesheet: Endpoint is now available, which enables reviewing a successfully submitted timesheet. Only timesheets with `PENDING_REVIEW` status can be reviewed, and all associated hours will be approved or rejected at once based on the review decision.
- **Immigration** → Get business visa eligibility and requirements:  Endpoint is now available, to check business visa eligibility and requirements to apply for it.

## Changed

- **Contractors** -> Create a new contract: Added a new request body property `scope_of_work_id` that allows passing a scope of work when creating a contract.
- **Immigration** -> Create an immigration case: Added support for creating `BUSINESS_VISA` cases through the public API.